module processamento

use variaveis

contains

!-----------------------------------

subroutine transforma

real*8 :: pi

pi = dacos(-1.0d0)

x = y*pi/1.8d+2

end subroutine transforma

!-----------------------------------

subroutine fatorial (a,fat)

integer,intent(in)  :: a
integer,intent(out) :: fat
integer :: i

fat = 1

do i = 1, a
	fat = fat*i
end do

end subroutine fatorial

!-----------------------------------

subroutine termos

integer :: fator

do i = 1, n
	call fatorial(2*(i-1),fator)
	c(i) = (-1.0d0)**(i-1) * x**(2*(i-1)) / fator
end do

end subroutine termos

!-----------------------------------
end module processamento